# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define tarname	TracMonotone-%{version}
%define tardate	20080208
%define tarrev	b4dd178b
%define tarsfx	.%{tardate}mtn%{tarrev}

Name:		trac-monotone-plugin
Version:	0.0.14
Release:	1%{tarsfx}%{?dist}
Summary:	Monotone version control plugin for Trac

Group:		Applications/Internet
License:	GPLv2+
URL:		http://tracmtn.1erlei.de/
# Source comes from mtn right now:
#  mtn clone -b net.venge.monotone.trac-plugin -r %{tarrev} monotone.ca tracmtn
#  cd tracmtn; python setup.py sdist --formats bztar
#  mv dist/%{tarname}.tar.bz2 %{tarname}%{tarsfx}.tar.bz2
Source:		%{tarname}%{tarsfx}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

BuildArch:	noarch
BuildRequires:	python-devel
Requires:	python-setuptools

Requires:	trac
Requires:	monotone >= 0.31

%description
This Trac plugin provides support for the Monotone SCM.


%prep
%setup -n %{tarname} -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Fri Feb  8 2008 Roland McGrath <roland@redhat.com> - 0.0.14-1.20080208mtnb4dd178b
- New upstream version.

* Tue Feb  5 2008 Roland McGrath <roland@redhat.com> - 0.0.14-1.20080205mtn8ef4880f
- New upstream version.

* Fri Jan 25 2008 Roland McGrath <roland@redhat.com> - 0.0.13-1.20080125mtn393b5412
- New upstream version, fixes errors in log/ urls.

* Fri Jan 18 2008 Roland McGrath <roland@redhat.com> - 0.0.12-1.20080116mtn3907adc7
- New package
